Subject: Re: limits (Was: IETF ldapbis WG Last Call: draft-ietf-ldapbis-iana-04.txt)

From: Ryan Moats <[email-masked]>
Date: Sat, 1 Dec 2001 16:09:28 -0600

On Fri, Nov 30, 2001 at 02:44:33PM -0800, Kurt D. Zeilenga wrote:
| At 12:17 PM 2001-11-30, Ryan Moats wrote:
| >On Fri, Nov 30, 2001 at 11:42:36AM -0800, Kurt D. Zeilenga wrote:
| >| At 10:07 AM 2001-11-30, Ryan Moats wrote:
| >| >Because I've seen far too many cases where what was originally thought
| >| >to be "enough space" ran out.
| >| 
| >| But these aren't limits.  They don't cause us to "run out" of anything.
| >
| >I think you are trying to have it both ways.  You are saying "anything
| >longer MAY be refused as being too long" and then saying "these aren't
| >limits".  They *are* a barrier to names (call it a guideline, call it
| >a limit, it doesn't matter).
| 
| There is a huge difference between:
|         Descriptors MUST be no longer than 48 characters.
| than saying
|         Registrations of descriptors longer than 48 characters
|         MAY be refused.
| 
| The former is a limit or barrier.  The latter is guidance.
| 
| While we could strike the whole consideration and leave it
| up to IANA to determine what "too large" to register, I think
| that BCP 26 calls for us to provide sufficient guidance.
| 
| I've tried to make these choices in a manner which gives
| requesters, reviewers, and the register wiggle room.  That's
| why it's a MAY, not a MUST or a SHOULD.
| 
| It should be obvious that if the requester tries to register
| something which "too long" per the guideline AND there are
| no reasonable alternatives, that the register would exercise
| appropriate judgement and not refuse the registration.
| 
| > What's so special of 16 over 32?
| 
| Basically, I choose 16 as, IMO, 8 seemed is too small and
| 32 is excessive [taking everything into consideration].
| 
| But, with this said, 16 isn't "so" special.  I could likely
| live with 16 or 24 or 32.  I suggest we have Bob do a straw
| poll at IETF#52 and take it from there.
| 

I think that's acceptable (I have had my schedule changed and
won't be able to make the meeting).

Ryan